> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

## API updates

We've released several enhancements and bug fixes to our API. Here are the highlights:

## Pay In

* Added new notifications for `TransferAdjusted`, `TransferReadyforRetry`, `TransferResolved` events. See [Notifications and Reports Overview](/guides/pay-ops-notifications-webhooks-overview) for more information.
* Added the `settings` objects for configuring Apple Pay for payment pages. Before, you had to use the  `AdditionalData` object to configure Apple Pay. See [Configure the Apple Pay Button](/guides/pay-in-developer-payment-page-apple-pay#configure-the-apple-pay-button) for more information.

## Pay Out

* Implemented masking for the EIN field in the response for the [ GET /Bill/\{idBill}](/developers/api-reference/bill/get-bill) endpoint.
* Added the `Gateway` field in the response for the [/MoneyOut/details/\{transId}](/developers/api-reference/moneyout/get-details-for-a-processed-payout-transaction) and [/Query/payouts/\{entry}](/developers/api-reference/query/get-list-of-payouts-for-entrypoint) endpoints.

## Pay Ops

Added four new export endpoints:

* [/Export/batchDetails/\{format}/\{entry}](/developers/api-reference/export/export-batch-details-for-entrypoint)
* [/Export/batchDetails/\{format}/org/\{orgId}](/developers/api-reference/export/export-batch-details-for-organization)
* [/Export/batchesOut/\{format}/\{entry}](/developers/api-reference/export/export-list-of-batches-out-for-entrypoint)
* [/Export/batchesOut/\{format}/org/\{orgId}](/developers/api-reference/export/export-list-of-batches-out-for-organization)

Added a new query parameter `columnsExport` to export endpoints, including exports for:

* Transactions
* Batches
* Subscriptions
* Settlements
* Transfers
* Chargebacks
* Customers
* Organizations
* Boarding
* Paypoints
* Invoices
* Vendors
* Bills
* Payouts

This new parameter lets you define a custom column mapping for an export. Documentation for the parameter is available in each endpoint's API reference.